Purchase Linux CDs / DVDs / Flash Drives at OSDisc.com

Welcome to Our Community

While Linux.org has been around for a while, we recently changed management and had to purge most of the content (including users). If you signed up before April 23rd, 2017 please sign up again. Thanks!

Cannot Install QCMA on Linux Mint 19 Cinnamon

Discussion in 'Getting Started' started by MinterTheMaladroit, Aug 10, 2018.

Tags:
  1. MinterTheMaladroit

    MinterTheMaladroit New Member

    Joined:
    Aug 3, 2018
    Messages:
    11
    Likes Received:
    2
    Hi,

    I need to install a software called QCMA but I simply cannot even though I directly follow the instructions on the website.

    When I attempt to install the deb package, I get "Error: Dependency is not satisfiable: libvitamtp5 (>= 2.5.5)".

    I still cannot install it even I follow the second path ("Add repository and install manually"). When I run the command
    Code:
    sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04/ /' > /etc/apt/sources.list.d/home:codestation.list"
    , I get no feedback. After that, I run the following lines:
    Code:
    sudo apt-get update
    ,
    Code:
    sudo apt-get install qcma
    . This time, I encounter this message:
    .

    I'd really use some help,
    Thank you.


     
  2. Condobloke

    Condobloke Well-Known Member

    Joined:
    Apr 30, 2017
    Messages:
    365
    Likes Received:
    476
    sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04/ /' > /etc/apt/sources.list.d/home:codestation.list"
    sudo apt-get update
    sudo apt-get install qcma

    3 separate commands....press enter after each one

    Give it a try

    EDIT...just noticed ...mine appears to whatever you already had.......did you enter them (COPY AND PASTE )separately and press Enter after each one ?

    You may have to wait for someone better versed than me !
     
    #2 Condobloke, Aug 10, 2018
    Last edited: Aug 10, 2018
  3. MinterTheMaladroit

    MinterTheMaladroit New Member

    Joined:
    Aug 3, 2018
    Messages:
    11
    Likes Received:
    2
  4. Condobloke

    Condobloke Well-Known Member

    Joined:
    Apr 30, 2017
    Messages:
    365
    Likes Received:
    476
    is this what you get ?

    [email protected] ~ $ sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04/ /' > /etc/apt/sources.list.d/home:codestation.list"
    [sudo] password for brian:
    [email protected] ~ $ sudo apt-get update
    Hit:1 http://mirror.rise.ph/ubuntu xenial InRelease
    Ign:2 http://mirror.0x.sg/linuxmint sylvia InRelease
    Ign:3 http://dl.google.com/linux/talkplugin/deb stable InRelease
    Hit:4 http://mirror.rise.ph/ubuntu xenial-updates InRelease
    Hit:5 http://mirror.rise.ph/ubuntu xenial-backports InRelease
    Hit:6 http://mirror.0x.sg/linuxmint sylvia Release
    Hit:7 http://dl.google.com/linux/talkplugin/deb stable Release
    Hit:9 https://repo.skype.com/deb stable InRelease
    Get:11 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
    Hit:12 http://archive.canonical.com/ubuntu xenial InRelease
    Ign:13 http://liveusb.info/multisystem/depot all InRelease
    Ign:15 http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 InRelease
    Hit:16 http://liveusb.info/multisystem/depot all Release
    Get:17 http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 Release [1,003 B]
    Get:19 http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 Release.gpg [481 B]
    Ign:19 http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 Release.gpg
    Hit:20 http://ppa.launchpad.net/atareao/atareao/ubuntu xenial InRelease
    Get:21 http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 Packages [1,340 B]
    Hit:14 https://www.bchemnet.com/suldr debian InRelease
    Hit:22 http://ppa.launchpad.net/berfenger/roccat/ubuntu xenial InRelease
    Hit:23 http://ppa.launchpad.net/gerardpuig/ppa/ubuntu xenial InRelease
    Hit:24 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu xenial InRelease
    Hit:25 http://ppa.launchpad.net/libreoffice/ppa/ubuntu xenial InRelease
    Hit:26 http://ppa.launchpad.net/nightingaleteam/nightingale-nightly/ubuntu xenial InRelease
    Hit:27 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InRelease
    Hit:28 http://ppa.launchpad.net/noobslab/themes/ubuntu xenial InRelease
    Hit:29 http://ppa.launchpad.net/qbittorrent-team/qbittorrent-stable/ubuntu xenial InRelease
    Hit:30 http://ppa.launchpad.net/rvm/smplayer/ubuntu xenial InRelease
    Hit:31 http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial InRelease
    Hit:32 http://ppa.launchpad.net/tista/adapta/ubuntu xenial InRelease
    Hit:33 http://ppa.launchpad.net/ubuntu-mate-dev/ppa/ubuntu xenial InRelease
    Hit:34 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial InRelease
    Fetched 110 kB in 11s (9,929 B/s)
    Reading package lists... Done
    W: GPG error: http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 45430FA99CF5612F
    W: The repository 'http://download.opensuse.org/repositories/home:/codestation/xUbuntu_18.04 Release' is not signed.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    [email protected] ~ $ sudo apt-get install qcma
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    qcma : Depends: libavcodec57 (>= 7:3.4.2) but it is not installable or
    libavcodec-extra57 (>= 7:3.4.2) but it is not installable
    Depends: libavformat57 (>= 7:3.4.2) but it is not installable
    Depends: libavutil55 (>= 7:3.4.2) but it is not installable
    Depends: libqt5core5a (>= 5.9.0~beta) but 5.5.1+dfsg-16ubuntu7.5 is to be installed
    Depends: libswscale4 (>= 7:3.4.2) but it is not installable
    E: Unable to correct problems, you have held broken packages.
    [email protected] ~ $
     
  5. MinterTheMaladroit

    MinterTheMaladroit New Member

    Joined:
    Aug 3, 2018
    Messages:
    11
    Likes Received:
    2
  6. arochester

    arochester Well-Known Member

    Joined:
    Apr 25, 2017
    Messages:
    247
    Likes Received:
    344
    Have you added the key?

    - source https://software.opensuse.org/download/package?project=home:codestation&package=qcma

    Run this command in a Terminal
    Code:
    sudo apt-key add - < Release.key
    It might shout for a keyring.
     
  7. MinterTheMaladroit

    MinterTheMaladroit New Member

    Joined:
    Aug 3, 2018
    Messages:
    11
    Likes Received:
    2
    Thanks. After adding the key, I ran the commands for xUbuntu 16.04 but faced this error:
    E: Unable to correct problems, you have held broken packages.

    Then I executed the xUbuntu 17.10 commands and it successfully installed the software.
     

Share This Page